'use strict';

var _require = require('./q-mod-config-simple');

var simpleLoadCfg = _require.simpleLoadCfg;

var _require2 = require('./q-mod-config-remote');

var remoteLoadCfg = _require2.remoteLoadCfg;

var _require3 = require('./q-mod-config-load');

var loadCfg = _require3.loadCfg;

var _require4 = require('./q-mod-config-show');

var showRawCfg = _require4.showRawCfg;

var c = require('bragi');

// bragi logger
c.options.groupsEnabled = [
  // 'dev:simpleLoadCfg:cfg',
];

var simpleLoad = function simpleLoad(name) {
  return simpleLoadCfg(name);
};
var remoteLoad = function remoteLoad(name, fullPath) {
  return remoteLoadCfg(name, fullPath);
};
var show = function show(width, color, name, obj) {
  return showRawCfg(width, color, name, obj);
};
var load = function load(globalPath, name) {
  return loadCfg(globalPath, name);
};

// module API::
module.exports = {
  simpleLoad: simpleLoad,
  remoteLoad: remoteLoad,
  show: show,
  load: load
};